# Struct item_alias

- Defined in File validate.hpp

## Struct Documentation

struct item_alias

  Item alias, items can be renamed over time.

  Public Functions

  inline item_alias(const std::string &alias_name, const std::string &dictionary, const std::string &version)
  item_alias(const item_alias&) = default
  item_alias &operator=(const item_alias&) = default

  Public Members

  std::string m_name

    The alias_name.

  std::string m_dict

    The dictionary in which it was known.

  std::string m_vers

    The version of the dictionary.